@charset "UTF-8";

/* ■■■■■■■■　共通事項　■■■■■■■■*/
body {
    font-family: 'Zen Maru Gothic', serif;
    line-height: 1.5;
    font-size: 100%;
    color: #333;
    background: #fafafa url('../images/kabegami.png');
    background-size: 128px;
}

img {
    width: 100%;
}

.wrapper {
    margin-inline: auto;
    padding: 40px 30px;
}

h2 {
    text-align: center;
}

.section-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 40px;
    display: inline-block;
    background-image: linear-gradient(transparent 70%, #ff6 70%);
    padding-bottom: .25rem;
}

h3 {
    font-size: 1.125rem;
    font-weight: bold;
    text-align: center;
}

.application-btn,
.nav-pc,
.pc-pop {
    display: none;
}

.fa-solid {
    color: #000;
    font-size: 60px;
}

/* 波型境目 */
.wave-border {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
}

.wave-border svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 40px;
}

.wave-border .shape-fill {
    fill: #fff5e4;
}

/* ■■■■■■■■　header　■■■■■■■■*/
#header {
    height: 60px;
    padding: 10px;
}

.site-title {
    width: 50px;
    background-color: #fff;
    border-radius: 20%;
}

.hamburger {
    width: 40px;
    height: 40px;
    background: #ff8441;
    position: fixed;
    top: 10px;
    right: 10px;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
    z-index: 30;
}

.hamburger:hover {
    opacity: 0.7;
}

/* ハンバーガーの線（メニューが閉じているとき） */
.hamburger span {
    width: 20px;
    height: 2px;
    background: #fff;
    position: absolute;
    left: 10px;
    transition: 0.3s ease-in-out;
}

/* ハンバーガーの線（１・２・３本目） */
.hamburger span:nth-child(1) {
    top: 11px;
}

.hamburger span:nth-child(2) {
    top: 19px;
}

.hamburger span:nth-child(3) {
    top: 27px;
}

/* ハンバーガーの線オープン時に×にする
1本目の線を―45度回転*/
.hamburger.active span:nth-child(1) {
    top: 19px;
    left: 10px;
    background: #fff;
    rotate: -45deg;
}

/* 2.3本目の線を重ねて45度回転 */
.hamburger.active span:nth-child(2),
.hamburger.active span:nth-child(3) {
    top: 19px;
    left: 10px;
    background: #fff;
    rotate: 45deg;
}

/* 最初は閉じている状態なので非表示にする */
.nav-sp {
    width: 50%;
    height: 100vh;
    background-color: #ff8441;
    color: #fff;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 20;
    opacity: 0;
    text-align: center;
    transition: opacity 0.6s ease, visibility 0.6s ease;
    visibility: hidden;
}

/* ハンバーガーがクリックされた際に、.nav-spにactiveクラスを
追加してメニューを表示する */
.nav-sp.active {
    opacity: 0.8;
    visibility: visible;
}

.nav-sp ul.nav-menu {
    margin: 110px 0 40px 0;
}

.nav-sp ul.nav-menu li {
    margin-bottom: 20px;
}

/* ■■■■■■■■　main　■■■■■■■■*/
#mainvisual {
    height: 80vh;
    background-image: url(../images/top_pc.png);
    background-size: cover;
    background-position: center;
    position: relative;
    margin-bottom: 80px;
}

.title {
    position: absolute;
    bottom: 23%;
    left: 5%;
    font-size: 1.5rem;
    font-weight: bold;
    color: #fff;
    width: 250px;
}

.first-line,
.second-line {
    background-color: #46d3ff;
    display: inline-block;
    padding: 5px;
    border-radius: 10px;
}

.second-line {
    margin-left: 110px;
}

.garland1 {
    position: absolute;
    top: 55px;
    right: 0;
    rotate: 25deg;
    width: 200px;
}

.ball {
    position: absolute;
    width: 60px;
    bottom: -40px;
    left: 30px;
}

.crayon {
    position: absolute;
    width: 90px;
    bottom: -50px;
    right: 30px;
}

/* ■■■■■■■■　サイドボタン　■■■■■■■■*/
.side-btn {
    display: none;
    width: 80px;
    height: 70px;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 10;
    line-height: 1.3;
    text-align: center;
    opacity: 0.9;
}

.side-btn.is-active {
  display: block;
}

.side-btn a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: #46d3ff;
    color: #fff;
    border-radius: 44px 40px 53px 35px / 50%;
}

/*footerまでスクロールしたら消す*/
.is-hidden {
    visibility: hidden;
    opacity: 0;
}

/* ■■■■■■■■　feature　■■■■■■■■*/
#feature {
    position: relative;
    background-color: #fff;
}

.feature-list li {
    margin-bottom: 40px;
    max-width: 300px;
    margin-inline: auto;
}

.feature-list h3 {
    margin-bottom: 10px;
}

.feature-list img {
    display: block;
    margin: 0 auto 10px;
    ;
    width: 250px;
    border-radius: 50%;
    border: solid 10px #46d3ff;
}

/* ■■■■■■■■　course　■■■■■■■■*/
#course {
    background-color: #fff5e4;
    position: relative;
}

#course .wave-border {
    transform: none;
    bottom: -38px;
}

.course-list {
    margin-bottom: 40px;
    max-width: 540px;
    margin-inline: auto;
}

.course-list:nth-of-type(3) {
    margin-bottom: 20px;
}

.course-list img {
    border-radius: 30px 30px 0 0;
}

.course-list .text {
    border-radius: 0 0 30px 30px;
    background-color: #fff;
    padding: 20px;
}

.course-list .course-title {
    display: inline-block;
    margin-bottom: 20px;
    border-bottom: solid 3px #46d3ff;
}

.course-list .course-item {
    font-weight: bold;
    text-align: center;
    margin-bottom: 20px;
}

.course-list .course-text {
    margin-bottom: 20px;
}

.detail-btn {
    font-weight: bold;
    display: block;
    margin: auto;
    width: 190px;
    padding: 10px 40px;
    background-color: #46d3ff;
    border-radius: 50px;
    color: #fff;
    text-align: center;
    border: 1px solid #46d3ff;
    transition: 0.2s;
}

.detail-btn:hover {
    color: #46d3ff;
    background-color: #fff;
}

/* ■■■■■■■■　news　■■■■■■■■*/
#news {
    position: relative;
    padding: 70px 30px;
}

.box {
    background-color: #fff;
    padding: 40px 20px;
    border: 3px solid #ff8441;
    border-radius: 30px;
    max-width: 540px;
    margin-inline: auto;
}

.box dl {
    margin-bottom: 40px;
}

.box dl .date {
    font-weight: normal;
}

.news-list a:hover {
    color: #46d3ff;
}

.box dl .news-list {
    border-bottom: 1px solid #333;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.btn {
    font-weight: bold;
    display: block;
    margin: auto;
    width: 190px;
    padding: 10px 40px;
    background-color: #ff8441;
    border-radius: 50px;
    color: #fff;
    text-align: center;
    border: 1px solid #ff8441;
    transition: 0.2s;
}

.btn:hover {
    color: #ff8441;
    background-color: #fff;
}

/* ■■■■■■■■　access　■■■■■■■■*/
#access {
    background-color: #fff5e4;
    padding: 40px 30px 80px;
}

.kana {
    margin-bottom: -10px;
}

.name {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 20px;
}

#access dl dd {
    margin-bottom: 5px;
}

.more-btn {
    font-weight: bold;
    display: block;
    margin: auto;
    width: 190px;
    padding: 10px 40px;
    background-color: #ff8441;
    border-radius: 50px;
    color: #fff;
    text-align: center;
    border: 1px solid #ff8441;
    transition: 0.2s;
}

/* FontAwesome ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝*/
.detail-btn::after,
.more-btn::after {
    font-family: "Font Awesome 6 free";
    font-weight: 1000;
    content: "\f0da";
    color: #fff;
    margin-left: 5px;
    transition: 0.2s;
}

/* ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */

.more-btn:hover::after,
.more-btn:hover {
    color: #ff8441;
    background-color: #fff;
}

.detail-btn:hover:after {
    color: #46d3ff;
    background-color: #fff;
}

.information-text {
    margin-bottom: 20px;
}

iframe {
    width: 100%;
    height: 200px;
}

#access .content {
    margin-bottom: 40px;
}


/* ■■■■■■■■　footer　■■■■■■■■*/
.footer {
    background-color: #ff8441;
}

.footer p {
    color: #fff;
    text-align: center;
    padding: 13px 0;

}

/* 〇〇〇〇　PC　〇〇〇〇*/

/* ■■■■■■■■　共通事項　■■■■■■■■*/
@media screen and (960px <= width) {
    .section-title {
        font-size: 3rem;
        margin-bottom: 80px;
    }

    h3 {
        font-size: 1.5rem;
    }

    .nav-sp,
    .hamburger,
    .side-btn a {
        display: none;
    }

    .nav-pc,
    .application-btn,
    .pc-pop {
        display: block;
    }

    .site-title {
        width: 80px;
    }

    .wrapper {
        padding: 80px 40px;
    }

    /* ■■■■■■■■　header　■■■■■■■■*/
    #header {
        height: 100px;
    }

    .nav-menu {
        display: flex;
        justify-content: center;
        font-size: 1.3rem;
        font-weight: bold;
    }

    .nav-menu li {
        padding-right: 30px;
    }

    .nav-menu li:last-child {
        padding-right: 0;
    }

    .application-btn {
        font-weight: bold;
        display: block;
        width: 190px;
        padding: 10px 40px;
        background-color: #ff8441;
        border-radius: 50px;
        color: #fff;
        text-align: center;
        border: 1px solid #ff8441;
        transition: 0.2s;
    }

    .application-btn:hover {
        color: #ff8441;
        background-color: #fff;
    }

    .contain {
        display: flex;
        justify-content: space-around;
        align-items: center;
        max-width: 1200px;
        margin-inline: auto;
    }

    /* ■■■■■■■■　main　■■■■■■■■*/
    #mainvisual {
        background-size: contain;
        background-repeat: no-repeat;
    }

    .title {
        font-size: 3rem;
        width: 500px;
    }

    .second-line {
        margin-left: 210px;
    }

    .garland1 {
        width: 350px;
        top: 80px;
        left: 50%;
        translate: 125px 0;
    }

    .ball {
        width: 120px;
        left: 50%;
        translate: -410px 0;
    }

    .crayon {
        width: 194px;
        bottom: -55px;
        left: 50%;
        translate: 280px 0;
    }

    /* ■■■■■■■■　feature　■■■■■■■■*/
    #feature {
        position: relative;
    }

    .feature-list {
        display: flex;
        gap: 110px;
        justify-content: center;
        margin: 0 auto 40px;
    }

    .feature-list li {
        width: 250px;
        margin-inline: 0;
    }

    .sheep {
        width: 150px;
        position: absolute;
        bottom: 50px;
        left: 10%;
    }

    .penguin {
        width: 160px;
        position: absolute;
        bottom: 32px;
        right: 10%;
    }

    #feature .application-btn {
        margin: auto;
        font-size: 2.0rem;
        width: 290px;
    }

    /* ■■■■■■■■　course　■■■■■■■■*/
    #course {
        position: relative;
    }

    .course-item {
        font-size: 1.125rem;
    }

    .course-list {
        max-width: 1280px;
        display: flex;
        justify-content: center;
        margin-bottom: 60px;
    }

    .course-list:nth-of-type(2) {
        flex-direction: row-reverse;
    }

    .course-list:nth-of-type(3) {
        margin-bottom: 80px;
    }

    .course-list img {
        position: relative;
        border-radius: 30px;
        box-shadow: 2px 2px 8px #a7a6a6;
    }

    .course-list .text {
        border-radius: 30px;
        width: 470px;
        margin-top: 80px;
        padding: 30px 60px;
    }

    .course-list:nth-of-type(odd) .text {
        margin-left: -40px;
    }

    .course-list:nth-of-type(2) .text {
        margin-right: -40px;
    }

    .garland2 {
        position: absolute;
        rotate: 28deg;
        width: 350px;
        top: 190px;
        right: 5%;
        transform-origin: top right;
    }

    .scrapbook {
        position: absolute;
        width: 230px;
        top: 580px;
        left: 5%;
    }

    .garland3 {
        position: absolute;
        rotate: -10deg;
        width: 350px;
        bottom: 140px;
        left: 5%;
    }

    .gerbera {
        position: absolute;
        rotate: -20deg;
        width: 200px;
        top: 1045px;
        right: 5%;
    }

    #course .application-btn {
        margin: auto;
        font-size: 2.0rem;
        width: 290px;
    }

    /* ■■■■■■■■　news　■■■■■■■■*/
    #news {
        position: relative;
        padding: 100px 40px;
    }

    .news-list a {
        display: flex;
        justify-content: space-between;
        align-items: center
    }

    .box dl {
        margin-bottom: 80px;
    }

    .news-list .date {
        width: 30%;
    }

    .news-list .news-text {
        width: 70%;
    }

    .box {
        padding: 80px;
        max-width: 700px;
        margin: auto;
    }

    .hamster {
        position: absolute;
        width: 200px;
        rotate: 20deg;
        top: 70px;
        right: 5%;
    }

    .hyacinth {
        position: absolute;
        rotate: -20deg;
        width: 160px;
        bottom: 70px;
        left: 7%;
    }

    /* ■■■■■■■■　access　■■■■■■■■*/
    #access {
        position: relative;
        padding: 80px 40px 160px;
    }

    #access .content {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 80px;
    }

    .name {
        margin-bottom: 10px;
    }

    .information-text {
        margin-bottom: 0;
        font-size: 1.125rem;
        width: 50%;
    }

    iframe {
        height: 350px;
    }

    .map {
        width: 50%;
    }

    .information-text dl {
        display: flex;
        flex-wrap: wrap;
    }

    .information-text dl dt {
        width: 20%;
    }

    .information-text dl dd {
        width: 70%;
    }

    #access .btn {
        font-size: 2.0rem;
        width: 290px;
    }

    .garland4 {
        position: absolute;
        rotate: 20deg;
        width: 350px;
        top: 80px;
        right: 5%;
    }

    .slide {
        position: absolute;
        width: 230px;
        bottom: 40px;
        left: 5%;
    }

    /* ■■■■■■■■　footer　■■■■■■■■*/
    .footer {
        padding: 25px;
    }
}

/* ■■■■■■■■　1280px以上で以下の部分のみ仕様を変更　■■■■■■■■*/
@media screen and (1280px <= width) {
    .nav-menu {
        font-size: 1.5rem;
    }

    #access .content {
        width: 970px;
        margin-inline: auto;
    }
}
